var orm = require(__dirname + "/../lib/orm");

orm.connect("mysql://orm:orm@localhost/orm", function (success, db) {
	// define a Person
	var Person = db.define("person", {
		"created"	: Date,
		"name"		: String,
		"surname"	: String,
		"age"		: Number,
		"male"		: Boolean
	}, {
		"methods"	: {
			"fullName" :function () {
				return this.name + " " + this.surname;
			}
		}
	});

	Person.find({
		// replaces ## with the field name (created)
		created: orm.F("SUBSTRING(YEAR(##), -2)", 12) // -> SUBSTRING(YEAR(`created`), -2) == 12
	}, function (people) {
		console.log(people);
	});
});
