var vows = require("vows"),
    assert = require("assert"),
    orm = require("../lib/orm");

module.exports = function (description, url) {
	return vows.describe(description).addBatch({
		"Connecting to database": {
			topic: function () {
				orm.connect(url, this.callback);
			},
			"Succeeds": function (success, db) {
				assert.isBoolean(success);
				assert.isTrue(success);
				assert.isObject(db);
			},
			"Defining a model": {
				topic: function (topic) {
					console.log(topic);
					return topic.db.define("folder", {
						created: Date,
						   name: String,
						   size: Number
					});
				},
				"Has common methods": function (model) {
					assert.isFunction(model);
					assert.isFunction(model.hasOne);
					assert.isFunction(model.hasMany);
					assert.isFunction(model.get);
					assert.isFunction(model.find);
					assert.isFunction(model.sync);
					assert.isFunction(model.clear);
				},
				"Add relationships": {
					topic: function (model) {
						model.hasOne("parent");

						return model;
					},
					"Sync": {
						topic: function (model) {
							model.sync();

							return model;
						},
						"Create a record": function (model) {
							console.log(model);
						}
					}
				}
			}
		}
	});
};

function then(topic) {

}
